package com.xy.feign;

import com.xy.FeignInterceptor;
import com.xy.consts.AuthorizeConsts;
import com.xy.service.AuthorizeService;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * 权限校验 feign
 */
@FeignClient(value = AuthorizeConsts.serviceName, configuration = FeignInterceptor.class)
public interface AuthorizeFeign extends AuthorizeService {
}
